[youtubei.js](../../../README.md) / [Types](../README.md) / UpdateVideoMetadataOptions

# Type Alias: UpdateVideoMetadataOptions

> **UpdateVideoMetadataOptions**: `Partial`\<`object`\>

## Type declaration

### age\_restricted

> **age\_restricted**: `boolean`

### category

> **category**: `number`

### description

> **description**: `string`

### license

> **license**: `string`

### made\_for\_kids

> **made\_for\_kids**: `boolean`

### privacy

> **privacy**: `"PUBLIC"` \| `"PRIVATE"` \| `"UNLISTED"`

### tags

> **tags**: `string`[]

### thumbnail

> **thumbnail**: `Uint8Array`

### title

> **title**: `string`

## Defined in

[src/types/Misc.ts:20](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/types/Misc.ts#L20)
